# Load the HECTOR tcl extension
source HECTOR_data_acq.tcl

# Open the serial device
set dev [openDevice COM3]

# Blink delay for the "knight rider" animation
set blink_timeout 50
# Blink delay for the register increment/decrement demonstration
set count_timeout 200

# Print the output header
puts "Blinking LEDs"
puts "FPGA     FPGA"
puts "status   data out"

# Do a "knight rider" animation
# by loading the values into the LED register
for {set i 0} {$i < 1} {incr i} {
  puts [sendFabricCommand $dev 6 1]
  wait_ms $blink_timeout
  puts [sendFabricCommand $dev 6 3]
  wait_ms $blink_timeout
  puts [sendFabricCommand $dev 6 7]
  wait_ms $blink_timeout
  puts [sendFabricCommand $dev 6 [expr 7 << 1]]
  wait_ms $blink_timeout
  puts [sendFabricCommand $dev 6 [expr 7 << 2]]
  wait_ms $blink_timeout
  puts [sendFabricCommand $dev 6 [expr 7 << 3]]
  wait_ms $blink_timeout
  puts [sendFabricCommand $dev 6 [expr 7 << 4]]
  wait_ms $blink_timeout
  puts [sendFabricCommand $dev 6 [expr 7 << 5]]
  wait_ms $blink_timeout
  puts [sendFabricCommand $dev 6 [expr 7 << 6]]
  wait_ms $blink_timeout
  puts [sendFabricCommand $dev 6 [expr 7 << 7]]
  wait_ms $blink_timeout
  puts [sendFabricCommand $dev 6 [expr 7 << 8]]
  wait_ms $blink_timeout
  puts [sendFabricCommand $dev 6 1536]
  wait_ms $blink_timeout
  puts [sendFabricCommand $dev 6 1024]
  wait_ms $blink_timeout
  puts [sendFabricCommand $dev 6 1536]
  wait_ms $blink_timeout
  puts [sendFabricCommand $dev 6 [expr 7 << 8]]
  wait_ms $blink_timeout
  puts [sendFabricCommand $dev 6 [expr 7 << 7]]
  wait_ms $blink_timeout
  puts [sendFabricCommand $dev 6 [expr 7 << 6]]
  wait_ms $blink_timeout
  puts [sendFabricCommand $dev 6 [expr 7 << 5]]
  wait_ms $blink_timeout
  puts [sendFabricCommand $dev 6 [expr 7 << 4]]
  wait_ms $blink_timeout
  puts [sendFabricCommand $dev 6 [expr 7 << 3]]
  wait_ms $blink_timeout
  puts [sendFabricCommand $dev 6 [expr 7 << 2]]
  wait_ms $blink_timeout
  puts [sendFabricCommand $dev 6 [expr 7 << 1]]
  wait_ms $blink_timeout
  puts [sendFabricCommand $dev 6 7]
  wait_ms $blink_timeout
  puts [sendFabricCommand $dev 6 3]
  wait_ms $blink_timeout
}

# Print the output header
puts "Incrementing internal register"
puts "FPGA     FPGA"
puts "status   data out"

# Increment the LED register 20 times
for {set i 0} {$i < 20} {incr i} {
  puts [sendFabricCommand $dev 4 0]
  wait_ms $count_timeout
}

# Print the output header
puts "Decrementing internal register"
puts "FPGA     FPGA"
puts "status   data out"

# Decrement the LED register 20 times
for {set i 0} {$i < 20} {incr i} {
  puts [sendFabricCommand $dev 5 0]
  wait_ms $count_timeout
}

# Close the connection to the board
disconnect $dev
