----------------------------------------------------------------------
-- Created by SmartDesign Mon May 16 14:52:53 2016
-- Version: v11.7 11.7.0.119
----------------------------------------------------------------------

----------------------------------------------------------------------
-- Libraries
----------------------------------------------------------------------
library ieee;
use ieee.std_logic_1164.all;

library smartfusion2;
use smartfusion2.all;
----------------------------------------------------------------------
-- cnt_db entity declaration
----------------------------------------------------------------------
entity cnt_db is
    -- Port list
    port(
        -- Inputs
        RESET_IN : in  std_logic_vector(0 to 0);
        XTL      : in  std_logic;
        -- Outputs
        CLKN_OUT : out std_logic_vector(0 to 0);
        CLKP_OUT : out std_logic_vector(0 to 0);
        DATN_OUT : out std_logic_vector(0 to 0);
        DATP_OUT : out std_logic_vector(0 to 0);
        LED_OUT  : out std_logic_vector(0 to 0);
        SYNN_OUT : out std_logic_vector(0 to 0);
        SYNP_OUT : out std_logic_vector(0 to 0)
        );
end cnt_db;
----------------------------------------------------------------------
-- cnt_db architecture body
----------------------------------------------------------------------
architecture RTL of cnt_db is
----------------------------------------------------------------------
-- Component declarations
----------------------------------------------------------------------
-- cnt_gen
component cnt_gen
    -- Port list
    port(
        -- Inputs
        clk      : in  std_logic;
        n_rst    : in  std_logic;
        -- Outputs
        data     : out std_logic;
        data_clk : out std_logic;
        sync_out : out std_logic
        );
end component;
-- cnt_db_FCCC_0_FCCC   -   Actel:SgCore:FCCC:2.0.200
component cnt_db_FCCC_0_FCCC
    -- Port list
    port(
        -- Inputs
        XTLOSC : in  std_logic;
        -- Outputs
        GL0    : out std_logic;
        LOCK   : out std_logic
        );
end component;
-- cnt_db_IO_0_IO   -   Actel:SgCore:IO:1.0.101
component cnt_db_IO_0_IO
    -- Port list
    port(
        -- Inputs
        PAD_IN : in  std_logic_vector(0 to 0);
        -- Outputs
        Y      : out std_logic_vector(0 to 0)
        );
end component;
-- cnt_db_IO_1_IO   -   Actel:SgCore:IO:1.0.101
component cnt_db_IO_1_IO
    -- Port list
    port(
        -- Inputs
        D        : in  std_logic_vector(0 to 0);
        -- Outputs
        PADN_OUT : out std_logic_vector(0 to 0);
        PADP_OUT : out std_logic_vector(0 to 0)
        );
end component;
-- cnt_db_IO_2_IO   -   Actel:SgCore:IO:1.0.101
component cnt_db_IO_2_IO
    -- Port list
    port(
        -- Inputs
        D        : in  std_logic_vector(0 to 0);
        -- Outputs
        PADN_OUT : out std_logic_vector(0 to 0);
        PADP_OUT : out std_logic_vector(0 to 0)
        );
end component;
-- cnt_db_IO_3_IO   -   Actel:SgCore:IO:1.0.101
component cnt_db_IO_3_IO
    -- Port list
    port(
        -- Inputs
        D       : in  std_logic_vector(0 to 0);
        -- Outputs
        PAD_OUT : out std_logic_vector(0 to 0)
        );
end component;
-- cnt_db_IO_4_IO   -   Actel:SgCore:IO:1.0.101
component cnt_db_IO_4_IO
    -- Port list
    port(
        -- Inputs
        D        : in  std_logic_vector(0 to 0);
        -- Outputs
        PADN_OUT : out std_logic_vector(0 to 0);
        PADP_OUT : out std_logic_vector(0 to 0)
        );
end component;
-- cnt_db_OSC_0_OSC   -   Actel:SgCore:OSC:2.0.101
component cnt_db_OSC_0_OSC
    -- Port list
    port(
        -- Inputs
        XTL                : in  std_logic;
        -- Outputs
        RCOSC_1MHZ_CCC     : out std_logic;
        RCOSC_1MHZ_O2F     : out std_logic;
        RCOSC_25_50MHZ_CCC : out std_logic;
        RCOSC_25_50MHZ_O2F : out std_logic;
        XTLOSC_CCC         : out std_logic;
        XTLOSC_O2F         : out std_logic
        );
end component;
----------------------------------------------------------------------
-- Signal declarations
----------------------------------------------------------------------
signal CLKN_OUT_net_0                  : std_logic_vector(0 to 0);
signal CLKP_OUT_net_0                  : std_logic_vector(0 to 0);
signal cnt_gen_0_data                  : std_logic;
signal cnt_gen_0_data_clk              : std_logic;
signal cnt_gen_0_sync_out              : std_logic;
signal DATN_OUT_net_0                  : std_logic_vector(0 to 0);
signal DATP_OUT_net_0                  : std_logic_vector(0 to 0);
signal FCCC_0_GL0                      : std_logic;
signal IO_0_Y                          : std_logic_vector(0 to 0);
signal LED_OUT_net_0                   : std_logic_vector(0 to 0);
signal OSC_0_XTLOSC_CCC_OUT_XTLOSC_CCC : std_logic;
signal SYNN_OUT_net_0                  : std_logic_vector(0 to 0);
signal SYNP_OUT_net_0                  : std_logic_vector(0 to 0);
signal CLKP_OUT_net_1                  : std_logic_vector(0 to 0);
signal CLKN_OUT_net_1                  : std_logic_vector(0 to 0);
signal DATP_OUT_net_1                  : std_logic_vector(0 to 0);
signal DATN_OUT_net_1                  : std_logic_vector(0 to 0);
signal LED_OUT_net_1                   : std_logic_vector(0 to 0);
signal SYNP_OUT_net_1                  : std_logic_vector(0 to 0);
signal SYNN_OUT_net_1                  : std_logic_vector(0 to 0);
----------------------------------------------------------------------
-- TiedOff Signals
----------------------------------------------------------------------
signal GND_net                         : std_logic;
signal PADDR_const_net_0               : std_logic_vector(7 downto 2);
signal PWDATA_const_net_0              : std_logic_vector(7 downto 0);
----------------------------------------------------------------------
-- Inverted Signals
----------------------------------------------------------------------
signal D_IN_POST_INV0_0                : std_logic_vector(0 to 0);

begin
----------------------------------------------------------------------
-- Constant assignments
----------------------------------------------------------------------
 GND_net            <= '0';
 PADDR_const_net_0  <= B"000000";
 PWDATA_const_net_0 <= B"00000000";
----------------------------------------------------------------------
-- Inversions
----------------------------------------------------------------------
 D_IN_POST_INV0_0(0) <= NOT IO_0_Y(0);
----------------------------------------------------------------------
-- Top level output port assignments
----------------------------------------------------------------------
 CLKP_OUT_net_1(0) <= CLKP_OUT_net_0(0);
 CLKP_OUT(0)       <= CLKP_OUT_net_1(0);
 CLKN_OUT_net_1(0) <= CLKN_OUT_net_0(0);
 CLKN_OUT(0)       <= CLKN_OUT_net_1(0);
 DATP_OUT_net_1(0) <= DATP_OUT_net_0(0);
 DATP_OUT(0)       <= DATP_OUT_net_1(0);
 DATN_OUT_net_1(0) <= DATN_OUT_net_0(0);
 DATN_OUT(0)       <= DATN_OUT_net_1(0);
 LED_OUT_net_1(0)  <= LED_OUT_net_0(0);
 LED_OUT(0)        <= LED_OUT_net_1(0);
 SYNP_OUT_net_1(0) <= SYNP_OUT_net_0(0);
 SYNP_OUT(0)       <= SYNP_OUT_net_1(0);
 SYNN_OUT_net_1(0) <= SYNN_OUT_net_0(0);
 SYNN_OUT(0)       <= SYNN_OUT_net_1(0);
----------------------------------------------------------------------
-- Component instances
----------------------------------------------------------------------
-- cnt_gen_0
cnt_gen_0 : cnt_gen
    port map( 
        -- Inputs
        clk      => FCCC_0_GL0,
        n_rst    => IO_0_Y(0),
        -- Outputs
        data     => cnt_gen_0_data,
        data_clk => cnt_gen_0_data_clk,
        sync_out => cnt_gen_0_sync_out 
        );
-- FCCC_0   -   Actel:SgCore:FCCC:2.0.200
FCCC_0 : cnt_db_FCCC_0_FCCC
    port map( 
        -- Inputs
        XTLOSC => OSC_0_XTLOSC_CCC_OUT_XTLOSC_CCC,
        -- Outputs
        GL0    => FCCC_0_GL0,
        LOCK   => OPEN 
        );
-- IO_0   -   Actel:SgCore:IO:1.0.101
IO_0 : cnt_db_IO_0_IO
    port map( 
        -- Inputs
        PAD_IN => RESET_IN,
        -- Outputs
        Y      => IO_0_Y 
        );
-- IO_1   -   Actel:SgCore:IO:1.0.101
IO_1 : cnt_db_IO_1_IO
    port map( 
        -- Inputs
        D(0)     => cnt_gen_0_data_clk,
        -- Outputs
        PADP_OUT => CLKP_OUT_net_0,
        PADN_OUT => CLKN_OUT_net_0 
        );
-- IO_2   -   Actel:SgCore:IO:1.0.101
IO_2 : cnt_db_IO_2_IO
    port map( 
        -- Inputs
        D(0)     => cnt_gen_0_data,
        -- Outputs
        PADP_OUT => DATP_OUT_net_0,
        PADN_OUT => DATN_OUT_net_0 
        );
-- IO_3   -   Actel:SgCore:IO:1.0.101
IO_3 : cnt_db_IO_3_IO
    port map( 
        -- Inputs
        D       => D_IN_POST_INV0_0,
        -- Outputs
        PAD_OUT => LED_OUT_net_0 
        );
-- IO_4   -   Actel:SgCore:IO:1.0.101
IO_4 : cnt_db_IO_4_IO
    port map( 
        -- Inputs
        D(0)     => cnt_gen_0_sync_out,
        -- Outputs
        PADP_OUT => SYNP_OUT_net_0,
        PADN_OUT => SYNN_OUT_net_0 
        );
-- OSC_0   -   Actel:SgCore:OSC:2.0.101
OSC_0 : cnt_db_OSC_0_OSC
    port map( 
        -- Inputs
        XTL                => XTL,
        -- Outputs
        RCOSC_25_50MHZ_CCC => OPEN,
        RCOSC_25_50MHZ_O2F => OPEN,
        RCOSC_1MHZ_CCC     => OPEN,
        RCOSC_1MHZ_O2F     => OPEN,
        XTLOSC_CCC         => OSC_0_XTLOSC_CCC_OUT_XTLOSC_CCC,
        XTLOSC_O2F         => OPEN 
        );

end RTL;
