--------------------------------------------------------------------------------
-- Company: <Name>
--
-- File: my_tb.vhd
-- File history:
--      <Revision number>: <Date>: <Comments>
--      <Revision number>: <Date>: <Comments>
--      <Revision number>: <Date>: <Comments>
--
-- Description: 
--
-- <Description here>
--
-- Targeted device: <Family::SmartFusion2> <Die::M2S025> <Package::484 FBGA>
-- Author: <Name>
--
--------------------------------------------------------------------------------


library ieee;
use ieee.std_logic_1164.all;

entity my_tb is
end my_tb;

architecture behavioral of my_tb is

    constant SYSCLK_PERIOD : time := 100 ns; -- 10MHZ

    signal SYSCLK : std_logic := '0';
    signal NSYSRESET : std_logic := '0';
    signal MYSYSRESET : std_logic_vector(0 to 0);
    component cnt_db
        -- ports
        port( 
            -- Inputs
            RESET_IN : in std_logic_vector(0 to 0);

            -- Outputs
            CLKP_OUT : out std_logic_vector(0 to 0);
            CLKN_OUT : out std_logic_vector(0 to 0);
            DATP_OUT : out std_logic_vector(0 to 0);
            DATN_OUT : out std_logic_vector(0 to 0)

            -- Inouts

        );
    end component;

begin

    process
        variable vhdl_initial : BOOLEAN := TRUE;

    begin
        if ( vhdl_initial ) then
            -- Assert Reset
            NSYSRESET <= '0';
            MYSYSRESET  <= "0";
            wait for ( SYSCLK_PERIOD * 10 );
            MYSYSRESET  <= "1";
            NSYSRESET <= '1';
            wait;
        end if;
    end process;

    -- Clock Driver
    SYSCLK <= not SYSCLK after (SYSCLK_PERIOD / 2.0 );

    -- Instantiate Unit Under Test:  cnt_db
    cnt_db_0 : cnt_db
        -- port map
        port map( 
            -- Inputs
            RESET_IN => MYSYSRESET,

            -- Outputs
            CLKP_OUT => open,
            CLKN_OUT => open,
            DATP_OUT => open,
            DATN_OUT => open

            -- Inouts

        );

end behavioral;

